REST API v1
Search & autocomplete
Convert PLSS and Texas descriptions, reverse lookup GPS coordinates, and suggest locations.
On this page
Search API
Convert Legal Description to Coordinates
Convert PLSS or Texas TXSS legal descriptions to coordinates and vice versa. Responses include survey_system: "PLSS" or "TXSS".
GET /search/legal-location
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| location | string | Required | PLSS or Texas TXSS legal land description (auto-detected) 14S 15E 6th Meridian |
Example Response
response.json
{
"type": "FeatureCollection",
"features": [{
"type": "Feature",
"geometry": { "type": "Polygon", "coordinates": [...] },
"properties": {
"shape": "grid",
"search_term": "14S 15E 6th Meridian",
"legal_location": "14S 15E 6th Meridian",
"unit": "Township",
"survey_system": "PLSS",
"county": "...", "state": "..."
}
}]
}Texas TXSS example response
{
"type": "FeatureCollection",
"features": [{
"type": "Feature",
"geometry": { "type": "Polygon", "coordinates": [...] },
"properties": {
"shape": "grid",
"search_term": "A-175 Reeves County",
"legal_location": "Abstract 175 Reeves County Texas",
"survey_system": "TXSS",
"abstract_no": "175",
"county": "Reeves",
"state": "TX"
}
}]
}Convert Coordinates to Legal Description
Get the legal land description for any GPS coordinate. Returns PLSS inside PLSS states and Texas TXSS inside Texas.
Autocomplete API
Smart Suggestions
Real-time suggestions as users type PLSS or Texas TXSS descriptions.